Skip to main content
POST
/
v1
/
plugins
/
{pluginId}
/
config-objects
Add plugin config object
curl --request POST \
  --url https://api.openworklabs.com/v1/plugins/{pluginId}/config-objects \
  --header 'Content-Type: application/json' \
  --data '
{
  "configObjectId": "<string>",
  "membershipSource": "manual"
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "pluginId": "<string>",
    "configObjectId": "<string>",
    "membershipSource": "manual",
    "connectorMappingId": "<string>",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "removedAt": "2023-11-07T05:31:56Z",
    "configObject": {
      "id": "<string>",
      "organizationId": "<string>",
      "objectType": "skill",
      "sourceMode": "cloud",
      "title": "<string>",
      "description": "<string>",
      "searchText": "<string>",
      "currentFileName": "<string>",
      "currentFileExtension": "<string>",
      "currentRelativePath": "<string>",
      "status": "active",
      "createdByOrgMembershipId": "<string>",
      "connectorInstanceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "latestVersion": {
        "id": "<string>",
        "configObjectId": "<string>",
        "schemaVersion": "<string>",
        "normalizedPayloadJson": {},
        "rawSourceText": "<string>",
        "createdVia": "cloud",
        "createdByOrgMembershipId": "<string>",
        "connectorSyncEventId": "<string>",
        "sourceRevisionRef": "<string>",
        "isDeletedVersion": true,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Path Parameters

pluginId
string<typeid>
required

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*

Body

application/json
configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*
membershipSource
enum<string>
Available options:
manual,
connector,
api,
system

Response

Plugin membership created successfully.

ok
boolean
required
item
object
required